### Function

# RB set_tree_view_column_fixed_width

#### Declaration [src]

    void
    rb_set_tree_view_column_fixed_width (
      GtkWidget* treeview,
      GtkTreeViewColumn* column,
      GtkCellRenderer* renderer,
      const char** strings,
      int padding
    )

#### Description [src]

Sets a fixed size for a tree view column based on a set of strings to be displayed in the column.

#### Parameters

`treeview`

  Type: `GtkWidget`

  The `GtkTreeView` containing the column.

  The data is owned by the caller of the function.

`column`

  Type: `GtkTreeViewColumn`

  The `GtkTreeViewColumn` to size.

  The data is owned by the caller of the function.

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` used in the column.

  The data is owned by the caller of the function.

`strings`

  Type: An array of `char*`

  A NULL-terminated set of strings to base the size on.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`padding`

  Type: `int`

  A small amount of extra padding for the column.